html {
  font-family: InterVariable, system-ui, sans-serif;
  font-size: 1rem;
  line-height: 2;
}

body {
  background: #eee;
}


hr {
  border: none;
  border-top: 1px solid #ddd;
  margin: 1.5rem 0;
}

#container {
  border-radius: 1rem;
  margin: 2rem auto;
  gap: 1rem 2rem;
  max-width: 1200px;
  background: #fff;
  display: grid;
  grid-template-areas:
    "header header"
    "sidebar main";

  grid-template-columns: minmax(15rem, auto) 1fr;
  grid-template-rows: auto 1fr;
  padding: 2rem 1rem;
}

#menuToggle {
  display: none;
  z-index: 1;
  -webkit-user-select: none;
  user-select: none;
  position: relative;
}

#menuToggle input
{
  display: block;
  width: 100%;
  height: 100%;
  position: absolute;
  cursor: pointer;
  opacity: 0; /* hide this */
  z-index: 2; /* and place it over the hamburger */
  -webkit-touch-callout: none;
}

/*
 * Just a quick hamburger
 */
#menuToggle span
{
  display: block;
  width: 33px;
  height: 4px;
  margin-bottom: 5px;
  position: relative;
  
  background: #222;
  border-radius: 3px;
  
  z-index: 1;
  
  transform-origin: 4px 0px;
  
  transition: transform 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              background 0.5s cubic-bezier(0.77,0.2,0.05,1.0),
              opacity 0.55s ease;
}

#menuToggle span:first-child
{
  transform-origin: 0% 0%;
}

#menuToggle span:nth-last-child(2)
{
  transform-origin: 0% 100%;
}

@media screen and (max-width: 600px) {
  #container {
    grid-template-areas:
      "header"
      "main"
      "sidebar";
    grid-template-columns: 1fr;
    /* grid-template-rows: auto 1fr auto; */
  }

  #sidebar {
    border-bottom: 1px solid #ddd;
    padding-bottom: 1rem;
    border-top: 1px solid #ddd;
    padding-top: 1rem;
  }

  @supports (selector(:has(*))) {
    #menuToggle {
      display: block;
    }
    #sidebar {
      display: none;
    }

    body:has(#menuCheckbox:checked) #sidebar {
      display: block;
    }

    #header {
      grid-template-columns: 1fr auto;
      gap: 4rem;
    }
  }
}


#sidebar a {
  display: block;
  padding: .25rem .5rem;
  border-radius: .375rem;
  color: #555;
  text-decoration: none;
  font-weight: 500;
}

#sidebar a:hover {
  background: #d7d7d730;
  color: #000;
}
#sidebar a:visited {
  color: #393046;
}

#sidebar a.active {
  background: #2d65fc30;
  font-weight: 600;
  color: #000;
}

#header {
  grid-area: header;
  text-align: center;
  display: grid;
  align-items: center;
}

a.active {
  font-weight: 600;
}

p {
  margin-block-end: 1em;
  color: #333;
}

#sidebar ul {
  list-style: none;
  display: grid;
  gap: 0.25rem;
}

#sidebar ul ul {
  margin-left: 1.25rem;
  margin-block-end: .25rem;
  margin-block-start: .25rem;
}

ul {
  list-style-position: inside;
}

.list-none {
  list-style: none;
}

/* #logo > img {
  max-width: 100%;
  height: auto;
} */
 
#logo {
  background: url("../images/snickar-boa/logo.gif") no-repeat center;
  background-size: contain;
  width: 100%;
  max-width: 486px;
  aspect-ratio: 486 / 87;
  display: block;
  margin: 0 auto;
  text-indent: -9999px;
} 

.thickbox {
  overflow: hidden;
  height: 120px;
}

.thickbox img {
  border: 0px;
}

#images {
  --image-size: 90px;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(var(--image-size), 1fr));
  grid-auto-rows: var(--image-size);
  gap: 1rem;
  list-style: none;
  text-align: center;
  margin: 1rem;
}

h1 {
  font-weight: 400;
  letter-spacing: -0.025em;
}

#images img {
  /** images can be any ratio but I want them to fill the space and be square */
  width: 100%;
  height: 100%;
  object-fit: cover;
}

